
import server.*;

import java.time.format.DateTimeFormatter;
import java.time.OffsetDateTime;
import java.time.ZoneOffset;

public class SampleServer extends HttpMethodsAdaptor
{
   /**
      Compare this example to the express.js
      example in this Wikipedia page.
         https://en.wikipedia.org/wiki/Express.js#Example
   */
   @Override
   public void doGet(HttpRequest req, HttpResponse res)
   {
      // Build the response entity body.
      res.setEntityBody( "Hi, your request has been received".getBytes() );

      // Add the response line.
      res.setResponseLine("HTTP/1.1 200 OK");

      // Add the response headers.
      final String date = OffsetDateTime.now(ZoneOffset.UTC)
                            .format(DateTimeFormatter.RFC_1123_DATE_TIME);
      res.addHeader("Date: " + date);
      res.addHeader("Server: SampleServer.java");
      res.addHeader("Connection: close");
      res.addHeader("Content-type: text/html");
      res.addHeader("Content-Length: " + res.entityBody.length);
   }


   // Instantiate and start up an instance of the server.
   public static void main(String[] args)
   {
      new HttpApplicationServer(8080,                // portNumber
                                "public_html",       // serverRoot
                                new SampleServer()); // HTTP methods
   }
}
